Upsert a record by remote ID
- Type: stringremote
Id requiredRemote ID of record to be synchronized
- Type: stringremote
Application requiredName of remote application
Record data. Optionally you may provide 'rawPayload' (string JSON or object) to auto-map fields. Explicit fields override values from rawPayload.
- Type: integerspace
Id requiredID of the space this record belongs to.
- Type: integerstatus
System Id requiredID of the system-level status (pipeline stage) this record belongs to; must be valid for the module.
- Type: array object[] ·custom
Fields Values Values for all custom fields defined in the module, keyed by field definition.
A single custom field value attached to a record. The field is identified either by
customFieldInputId, or bycustomFieldInputName+module. Values of computed fields (inputTypecalculationandrollup) are read-only: a calculation value is evaluated at read time from the field'sinputCalculationformula and never stored, a rollup value is recomputed automatically from related records; writes to either are ignored. - Type: integerfeatured
Image Id ID of the File used as the default image for this record.
- Type: array integer[]labels
IDs of labels assigned to this record.
- raw
Payload Whole source payload (JSON string or object) that will be auto-mapped to entity fields and customFieldsValues
- Type: string
Whole source payload (JSON string or object) that will be auto-mapped to entity fields and customFieldsValues
- Type: integerstatus
Id ID of the user-defined sub-status within the system status.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://test.boost.space/api/record/remote/{remoteId}/{remoteApplication}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"statusSystemId": 42,
"statusId": 42,
"spaceId": 42,
"featuredImageId": 42,
"files": [
1
],
"labels": [
1
],
"boostId": "string",
"customFieldsValues": [
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"valueWysiwyg": "string",
"valueInt": 1,
"valueFloat": 1.5,
"valueDatetime": "2026-01-15T09:30:00Z",
"valueModule": "string",
"value": "string",
"fileId": 42,
"customFieldInputId": 42,
"module": "activities",
"table": "string",
"entityId": 42,
"customFieldInputName": "Sample customFieldInputName",
"selected": true,
"ipAddress": "string",
"translatable": true,
"translations": {
"en": {
"field1": "translation1",
"field2": "translation2"
},
"it": {
"field1": "translation1",
"field2": "translation2"
},
"cs": {
"field1": "translation1",
"field2": "translation2"
}
}
}
],
"rawPayload": ""
}'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"statusSystemId": 42,
"statusId": 42,
"spaceId": 42,
"featuredImageId": 42,
"files": [
1
],
"labels": [
1
],
"boostId": "string",
"customFieldsValues": [
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"valueWysiwyg": "string",
"valueInt": 1,
"valueFloat": 1.5,
"valueDatetime": "2026-01-15T09:30:00Z",
"valueModule": "string",
"value": "string",
"fileId": 42,
"customFieldInputId": 42,
"module": "activities",
"table": "string",
"entityId": 42,
"customFieldInputName": "Sample customFieldInputName",
"selected": true,
"ipAddress": "string",
"translatable": true,
"translations": {
"en": {
"field1": "translation1",
"field2": "translation2"
},
"it": {
"field1": "translation1",
"field2": "translation2"
},
"cs": {
"field1": "translation1",
"field2": "translation2"
}
}
}
]
}